#! /bin/sh

if [ -z "$1" ]; then
   echo "Usage: $0 host [...params...]" >&2
   exit 1
fi

host="$1"
shift

ssh root@$host exec adduser phd

cd "`dirname \"$0\"`" &&

# Passwordless access isn't configured yet; use `ssh` connection sharing.
# `sudo` isn't configured yet too; use `su` and ask for root password.
ansible-playbook ../init-system.yml "$@" -e hosts="$host" \
   --become-method=su -K &&
../run-roles debian/remove-systemd "$@" -e hosts="$host" &&
exec ansible-playbook ../init-system2.yml "$@" -e hosts="$host"
